%define upstream_name    Statistics-ChiSquare
%define upstream_version 1.0000

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    How well-distributed is your data?
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Statistics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Suppose you flip a coin 100 times, and it turns up heads 70 times. _Is the
coin fair?_

Suppose you roll a die 100 times, and it shows 30 sixes. _Is the die
loaded?_

In statistics, the *chi-square* test calculates how well a series of
numbers fits a distribution. In this module, we only test for whether
results fit an even distribution. It doesn't simply say "yes" or "no".
Instead, it gives you a _confidence interval_, which sets upper and lower
bounds on the likelihood that the variation in your data is due to chance.
See the examples below.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.0-2.mga8
+ Revision: 1521535
- Mageia 8 Mass Rebuild

* Fri Dec 28 2018 tv <tv> 1.0.0-1.mga7
+ Revision: 1345504
- imported package perl-Statistics-ChiSquare


* Fri Dec 28 2018 cpan2dist 1.0000-1mga
- initial mageia release, generated with cpan2dist
